<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__syspm__callback__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_syspm_callback_t</compoundname>
    <includes local="no">cy_syspm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__syspm__callback__t_1afc2210e66cc5a0513e42761df9a2021a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__syspm__data__structures_1ga0b54e47bca8fb045d86884a9b3d12067">Cy_SysPmCallback</ref></type>
        <definition>Cy_SysPmCallback cy_stc_syspm_callback_t::callback</definition>
        <argsstring />
        <name>callback</name>
        <briefdescription>
<para>The callback handler function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1750" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1750" />
      </memberdef>
      <memberdef id="structcy__stc__syspm__callback__t_1a566582fa98bed63f19108164d62e6c8f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga8c2960c0164ead1cfa86e7d6846b6ff0">cy_en_syspm_callback_type_t</ref></type>
        <definition>cy_en_syspm_callback_type_t cy_stc_syspm_callback_t::type</definition>
        <argsstring />
        <name>type</name>
        <briefdescription>
<para>The callback type, see <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga8c2960c0164ead1cfa86e7d6846b6ff0">cy_en_syspm_callback_type_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1751" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1751" />
      </memberdef>
      <memberdef id="structcy__stc__syspm__callback__t_1a1b49c2454ac29e52261e28eb9071413b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_syspm_callback_t::skipMode</definition>
        <argsstring />
        <name>skipMode</name>
        <briefdescription>
<para>The mask of modes to be skipped during callback execution, see <ref kindref="compound" refid="group__group__syspm__skip__callback__modes">Defines to skip the callbacks modes</ref>. </para>        </briefdescription>
        <detaileddescription>
<para>The corresponding callback mode won't execute if the appropriate define is set. These values can be ORed. If all modes are required to be executed this element should be equal to zero. Skipping unneeded callback modes speeds up power mode transitions by skipping unneeded operations. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1752" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1752" />
      </memberdef>
      <memberdef id="structcy__stc__syspm__callback__t_1a497711725618616da0b168743702dc03" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref> *</type>
        <definition>cy_stc_syspm_callback_params_t* cy_stc_syspm_callback_t::callbackParams</definition>
        <argsstring />
        <name>callbackParams</name>
        <briefdescription>
<para>The address of a <ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref>, the callback is executed with these parameters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1760" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1760" />
      </memberdef>
      <memberdef id="structcy__stc__syspm__callback__t_1ac4dd0cc8f5d4e92eefae3d10df920a56" kind="variable" mutable="no" prot="public" static="no">
        <type>struct cy_stc_syspm_callback *</type>
        <definition>struct cy_stc_syspm_callback* cy_stc_syspm_callback_t::prevItm</definition>
        <argsstring />
        <name>prevItm</name>
        <briefdescription>
<para>The previous list item. </para>        </briefdescription>
        <detaileddescription>
<para>This element should not be defined, or defined as NULL. It is for internal usage to link this structure to the next registered structure. It will be updated during callback registration. Do not modify this element at run-time. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1763" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1763" />
      </memberdef>
      <memberdef id="structcy__stc__syspm__callback__t_1a491e913ae8b54d0a61f2ac6959abf8ab" kind="variable" mutable="no" prot="public" static="no">
        <type>struct cy_stc_syspm_callback *</type>
        <definition>struct cy_stc_syspm_callback* cy_stc_syspm_callback_t::nextItm</definition>
        <argsstring />
        <name>nextItm</name>
        <briefdescription>
<para>The next list item. </para>        </briefdescription>
        <detaileddescription>
<para>This element should not be defined, or defined as NULL. It is for internal usage to link this structure to the previous registered structure. It will be updated during callback registration. Do not modify this element at run-time. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1769" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1769" />
      </memberdef>
      <memberdef id="structcy__stc__syspm__callback__t_1a13e6dfd81747d61783aac9ca28931fe4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_syspm_callback_t::order</definition>
        <argsstring />
        <name>order</name>
        <briefdescription>
<para>Holds the callback execution order value. </para>        </briefdescription>
        <detaileddescription>
<para>Range: 0-255. While entering low power mode, callbacks with lower order values are executed first. While exiting low power mode, the callbacks are executed in the opposite order. Callbacks with the same order value are executed in the order they are registered in the application. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1774" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1774" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with syspm callback configuration elements. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="324">
        <label>cy_stc_syspm_callback_t</label>
        <link refid="structcy__stc__syspm__callback__t" />
        <childnode refid="325" relation="usage">
          <edgelabel>callbackParams</edgelabel>
          <edgelabel>callback</edgelabel>
        </childnode>
      </node>
      <node id="325">
        <label>cy_stc_syspm_callback_params_t</label>
        <link refid="structcy__stc__syspm__callback__params__t" />
      </node>
    </collaborationgraph>
    <location bodyend="1780" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1748" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1749" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__syspm__callback__t_1afc2210e66cc5a0513e42761df9a2021a" virt="non-virtual"><scope>cy_stc_syspm_callback_t</scope><name>callback</name></member>
      <member prot="public" refid="structcy__stc__syspm__callback__t_1a497711725618616da0b168743702dc03" virt="non-virtual"><scope>cy_stc_syspm_callback_t</scope><name>callbackParams</name></member>
      <member prot="public" refid="structcy__stc__syspm__callback__t_1a491e913ae8b54d0a61f2ac6959abf8ab" virt="non-virtual"><scope>cy_stc_syspm_callback_t</scope><name>nextItm</name></member>
      <member prot="public" refid="structcy__stc__syspm__callback__t_1a13e6dfd81747d61783aac9ca28931fe4" virt="non-virtual"><scope>cy_stc_syspm_callback_t</scope><name>order</name></member>
      <member prot="public" refid="structcy__stc__syspm__callback__t_1ac4dd0cc8f5d4e92eefae3d10df920a56" virt="non-virtual"><scope>cy_stc_syspm_callback_t</scope><name>prevItm</name></member>
      <member prot="public" refid="structcy__stc__syspm__callback__t_1a1b49c2454ac29e52261e28eb9071413b" virt="non-virtual"><scope>cy_stc_syspm_callback_t</scope><name>skipMode</name></member>
      <member prot="public" refid="structcy__stc__syspm__callback__t_1a566582fa98bed63f19108164d62e6c8f" virt="non-virtual"><scope>cy_stc_syspm_callback_t</scope><name>type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>